org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class VertexStep<E extends Element>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.FlatMapStep<Vertex,E>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.VertexStep<E>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<Traverser.Admin<E>>, Step<Vertex,E>

      public class VertexStep<E extends Element>
      extends FlatMapStep<Vertex,E>
      implements AutoCloseable

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexStep(Traversal.Admin traversal, Class<E> returnClass, Direction direction, String... edgeLabels)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected Iterator<E>` | `flatMap(Traverser.Admin<Vertex> traverser)`
    `Direction` | `getDirection()`
    `String[]` | `getEdgeLabels()`
    `Set<TraverserRequirement>` | `getRequirements()` Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly.
    `Class<E>` | `getReturnClass()`
    `int` | `hashCode()`
    `boolean` | `returnsEdge()`
    `boolean` | `returnsVertex()`
    `void` | `reverseDirection()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.FlatMapStep

      `closeIterator, processNextStart, reset`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getTraversal, hasNext, next, removeLabel, setId, setNextStep, setPreviousStep, setTraversal`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### VertexStep

          public VertexStep(Traversal.Admin traversal,
                            Class<E> returnClass,
                            Direction direction,
                            String... edgeLabels)

  - ### Method Detail

    - #### flatMap

          protected Iterator<E> flatMap(Traverser.Admin<Vertex> traverser)

      Specified by:
        `flatMap` in class `FlatMapStep<Vertex,E extends Element>`

    - #### getDirection

          public Direction getDirection()

    - #### getEdgeLabels

          public String[] getEdgeLabels()

    - #### getReturnClass

          public Class<E> getReturnClass()

    - #### reverseDirection

          public void reverseDirection()

    - #### returnsVertex

          public boolean returnsVertex()

    - #### returnsEdge

          public boolean returnsEdge()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractStep<Vertex,E extends Element>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractStep<Vertex,E extends Element>`

    - #### getRequirements

          public Set<TraverserRequirement> getRequirements()

      Description copied from interface: `Step`
      Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly. The provided default implements returns an empty set.
      Specified by:
        `getRequirements` in interface `Step<Vertex,E extends Element>`
      Returns:
        the set of requirements

    - #### close

          public void close()
                     throws Exception

      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `Exception`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.